Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class LegendModel

    java.lang.Object
      com.eltima.chart.LegendModel

All Implemented Interfaces:
  java.io.Serializable

    public class LegendModel

extends java.lang.Object
implements java.io.Serializable

The LegendModel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Field Summary
`static int` | `ALIGNMENT_BEGIN`
`static int` | `ALIGNMENT_CENTER`
`static int` | `ALIGNMENT_END`
`static int` | `POSITION_BOTTOM`
`static int` | `POSITION_LEFT`
`static int` | `POSITION_RIGHT`
`static int` | `POSITION_TOP`

Constructor Summary
`LegendModel()` Creates new instance of LegendModel.

Method Summary
`int` | `getAlignment()` Returns the legend alignment.
`GradientModel` | `getGradientModel()` Returns the background GradientModel.
`LabelModel` | `getLabelModel()` Returns the LabelModel.
`int` | `getLegendPlotMargin()` Returns the legend/plot margin.
`int` | `getPosition()` Returns the legend position.
`void` | `setAlignment(int alignment)` Sets the legend alignment.
`void` | `setGradientModel(GradientModel model)` Sets the background GradientModel.
`void` | `setLabelModel(LabelModel model)` Sets the LabelModel.
`void` | `setLegendPlotMargin(int legendPlotMargin)` Sets the legend/plot margin.
`void` | `setPosition(int position)` Sets the legend position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSITION_LEFT

    public static final int POSITION_LEFT

See Also:
  Constant Field Values

### POSITION_RIGHT

    public static final int POSITION_RIGHT

See Also:
  Constant Field Values

### POSITION_TOP

    public static final int POSITION_TOP

See Also:
  Constant Field Values

### POSITION_BOTTOM

    public static final int POSITION_BOTTOM

See Also:
  Constant Field Values

### ALIGNMENT_BEGIN

    public static final int ALIGNMENT_BEGIN

See Also:
  Constant Field Values

### ALIGNMENT_CENTER

    public static final int ALIGNMENT_CENTER

See Also:
  Constant Field Values

### ALIGNMENT_END

    public static final int ALIGNMENT_END

See Also:
  Constant Field Values

Constructor Detail

### LegendModel

    public LegendModel()

  Creates new instance of LegendModel.

Method Detail

### getAlignment

    public int getAlignment()

  Returns the legend alignment.

  Returns:
    int

### getGradientModel

    public GradientModel getGradientModel()

  Returns the background GradientModel.

  Returns:
    GradientModel

### getLabelModel

    public LabelModel getLabelModel()

  Returns the LabelModel.

  Returns:
    LabelModel

### getPosition

    public int getPosition()

  Returns the legend position.

  Returns:
    int

### setAlignment

    public void setAlignment(int alignment)

  Sets the legend alignment.

  Parameters:
    `alignment` - ALIGNMENT_BEGIN, ALIGNMENT_CENTER or ALIGNMENT_END.

### setGradientModel

    public void setGradientModel(GradientModel model)

  Sets the background GradientModel.

  Parameters:
    `model` - GradientModel

### setLabelModel

    public void setLabelModel(LabelModel model)

  Sets the LabelModel.

  Parameters:
    `model` - LabelModel

### setPosition

    public void setPosition(int position)

  Sets the legend position.

  Parameters:
    `position` - POSITION_LEFT, POSITION_RIGHT, POSITION_TOP or POSITION_BOTTOM.

### getLegendPlotMargin

    public int getLegendPlotMargin()

  Returns the legend/plot margin.

  Returns:
    int

### setLegendPlotMargin

    public void setLegendPlotMargin(int legendPlotMargin)

  Sets the legend/plot margin.

  Parameters:
    `legendPlotMargin` - int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.